Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations
Botan::OCSP Namespace Reference

## Classes
class | CertID
class | Request
class | Response
class | SingleResponse

## Enumerations
enum | Response_Status_Code { Response_Status_Code::Successful = 0, Response_Status_Code::Malformed_Request = 1, Response_Status_Code::Internal_Error = 2, Response_Status_Code::Try_Later = 3, Response_Status_Code::Sig_Required = 5, Response_Status_Code::Unauthorized = 6 }

## Enumeration Type Documentation

enum Botan::OCSP::Response_Status_Code
| strong

OCSP response status.

see https://tools.ietf.org/html/rfc6960#section-4.2.1

Enumerator
Successful |
Malformed_Request |
Internal_Error |
Try_Later |
Sig_Required |
Unauthorized |

Definition at line 71 of file ocsp.h.

71 {
72 Successful = 0,
73 Malformed_Request = 1,
74 Internal_Error = 2,
75 Try_Later = 3,
76 Sig_Required = 5,
77 Unauthorized = 6
78 };
Botan::OCSP::Response_Status_Code::Successful
Botan::OCSP::Response_Status_Code::Unauthorized
Botan::OCSP::Response_Status_Code::Malformed_Request
Botan::OCSP::Response_Status_Code::Sig_Required
Botan::OCSP::Response_Status_Code::Try_Later
Botan::OCSP::Response_Status_Code::Internal_Error